跳到主要内容

合约持仓量

接口描述​

合约持仓量

HTTP请求​

GET /futures/data/openInterestHist

请求权重​

1

请求参数​

名称类型是否必需描述
pairSTRINGYESBTCUSD
contractTypeENUMNOPERPETUAL / CURRENT_QUARTER / NEXT_QUARTER。若不填,则返回所有合约类型的汇总数据。
periodENUMYES"5m","15m","30m","1h","2h","4h","6h","12h","1d"
limitLONGNODefault 30,Max 500
startTimeLONGNO
endTimeLONGNO
  • 若无 startime 和 endtime 限制, 则默认返回当前时间往前的limit值
  • 仅支持最近30天的数据
  • 响应中的 timestamp 为该周期的结束时间。

响应示例​

[  
{
"pair": "BTCUSD",
"contractType": "CURRENT_QUARTER",
"sumOpenInterest": "20403", //unit: cont
"sumOpenInterestValue": "176196512.23400000", //unit: base asset
"timestamp": 1591261042378
},
{
"pair": "BTCUSD",
"contractType": "CURRENT_QUARTER",
"sumOpenInterest": "20401",
"sumOpenInterestValue": "176178704.98700000",
"timestamp": 1583128200000
}
]